Bug 167349 - support creation of diskless boot environments for clients with architectures incompatible with server
support creation of diskless boot environments for clients with architectures...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Reznik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 16:21 EDT by Jason Vas Dias
Modified: 2010-04-14 09:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-14 09:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-09-01 16:21:16 EDT
Description of problem:

Currently, system-config-netboot (s-c-nb) can be used ONLY to:
  1. Create i386 boot environments on i386 or x86_64 hosts
  2. Create x86_64 boot environments on x86_64 hosts.

As a first step towards addressing bug 159903, of configuring all 
boot protocols (including non-PXE) for all architectures, system
config netboot could set up network booting with static 
"diskless root installer" initrds for all architectures .

Static initrds for each architecture, similar or based on the 
default anaconda netboot install initrd on each OS install CD, 
would just allow clients to create a customized network boot 
environment. Each initrd would ONLY:  
  1. Run the "netboot disk" installer, which installs the OS onto 
     a remote NFS or iSCSI device, from another (or possibly the same)
     remote NFS or iSCSI device package repository, as configured by
     the boot server which downloads it to the client.
  2. When finished installing, the client creates the initrd for itself
     to boot from the remote boot disk just installed and uploads 
     the initrd to the boot server, which will serve it to the client 
     on its next boot.
This would avoid all the problems s-c-nb is currently faced with when
creating initrds on one architecture + OS for a different arch + OS.





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fabio Olive Leite 2007-11-12 15:46:55 EST
Reassigning to component owner.
Comment 3 Jaroslav Reznik 2010-04-14 09:43:40 EDT
System-config-netboot is entering maintainance-only phase and the whole package will be deprecated soon. There are no plans for active development, only high severity issues bugfixing.

Note You need to log in before you can comment on or make changes to this bug.